1. npm install redux react-redux / devtools / browser extension x
2. Create store x
3. Create actions x
4. Create a reducer x
5. Add the reducer to the store x
6. Test with DevTools x
7. Create a component x
8. useSelector x
9. useDispatch x
10. actions with dispatch x

11. Middleware x